Bug 95138 - [deqp, 32bit, gen8+] deqp-gles31.functional.draw_indirect.negative
Summary: [deqp, 32bit, gen8+] deqp-gles31.functional.draw_indirect.negative
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: i965-deqp
  Show dependency treegraph
 
Reported: 2016-04-25 18:10 UTC by Mark Janes
Modified: 2016-05-02 23:29 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-04-25 18:10:51 UTC
Two dEQP tests fail for 32bit platforms only:

deqp-gles31.functional.draw_indirect.negative.command_offset_not_in_buffer_signed32_wrap 
deqp-gles31.functional.draw_indirect.negative.command_offset_not_in_buffer_unsigned32_wrap

Sample output:

/tmp/build_root/m32/opt/deqp/modules/gles31/deqp-gles31 --deqp-case=dEQP-GLES31.functional.draw_indirect.negative.command_offset_not_in_buffer_signed32_wrap --deqp-log-images=disable --deqp-gl-config-name=rgba8888d24s8 --deqp-surface-width=400 --deqp-surface-height=300 --deqp-visibility=hidden
dEQP Core git-ac9895c3cd060bb4414b0a932e2d09b0c47dbef2 (0xac9895c3) starting..
  target implementation = 'X11 GLX'

Test case 'dEQP-GLES31.functional.draw_indirect.negative.command_offset_not_in_buffer_signed32_wrap'..
Test case duration in microseconds = 10749 us
  Fail (Got unexpected error.)
Comment 1 Kenneth Graunke 2016-04-26 06:52:29 UTC
Trivial integer overflow bug.  Should have a patch shortly.
Comment 2 Kenneth Graunke 2016-05-02 23:29:05 UTC
Fixed by:

commit 2655265fcba9017e793026c76e490e04db088c8f
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Mon Apr 25 22:34:37 2016 -0700

    mesa: Fix indirect draw buffer size check on 32-bit systems.
    
    Fixes dEQP-GLES31.functional subtests:
    draw_indirect.negative.command_offset_not_in_buffer_signed32_wrap
    draw_indirect.negative.command_offset_not_in_buffer_unsigned32_wrap
    
    These tests use really large values that overflow GLsizeiptr, at
    which point the buffer size isn't less than "end".
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=95138
    Signed-off-by: Kenneth Graunke <kenneth@whitecape.org>
    Reviewed-by: Alejandro Piñeiro <apinheiro@igalia.com>
    Reviewed-by: Mark Janes <mark.a.janes@intel.com>


bug/show.html.tmpl processed on Mar 24, 2017 at 12:06:25.
(provided by the Example extension).